## org.apache.ivy.plugins.lock
Interface FileBasedLockStrategy.FileLocker

All Known Implementing Classes:
  FileBasedLockStrategy.CreateFileLocker, FileBasedLockStrategy.NIOFileLocker

Enclosing class:
  FileBasedLockStrategy

    public static interface FileBasedLockStrategy.FileLocker

Method Summary
`boolean` `tryLock(java.io.File f)`
`void` `unlock(java.io.File f)`

Method Detail

### tryLock

    boolean tryLock(java.io.File f)

### unlock

    void unlock(java.io.File f)